/* dictionary.c  */
/* A bilingual dictionary program.                                */
/* Takes a file with English and Japanese words,                  */
/*   one per line, delimited by a tab.                            */
/* Sorts the file based on unmodified English form                */
/*   (initial parenthetical modifiers are removed)                */
/*   and prints it to the screen.                                 */

/* Author: Zach Tomaszewski                                       */
/* Date: 27 Feb 2003                                              */

#include "dictionary.h"

int main(int argc, char *argv[]){

   FILE *fileInp;
   char nextLine[LINE];

   //if not given exactly one parameter or if help requested
   //print usage
   if (argc != 2 || strcmp(argv[1], "-h")==0 ) {
     puts("\nUsage:");
     puts("  dictionary [text file to sort]\n");
     return(0); //exit

   }else{
     //open file  
     fileInp = fopen(argv[1], "r");

     //check for errors
     if (fileInp == NULL){
       puts("Input error: could not read given file.");
       return(1);
     }

     //load word array
     while (fgets(nextLine, LINE, fileInp) != NULL) {
       loadLine(nextLine);
     }
     printWordList();
   }

}
